"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.SocketServer = void 0;
var net_1 = require("net");
var appServer_1 = require("../../appServer");
var socketClient_1 = require("./socketClient");
var tcpChannel_1 = require("./tcpChannel");
var SocketOptions = /** @class */ (function () {
    function SocketOptions() {
    }
    return SocketOptions;
}());
var SocketServer = /** @class */ (function (_super) {
    __extends(SocketServer, _super);
    function SocketServer(option, filter) {
        var _this = _super.call(this, socketClient_1.SocketClient, tcpChannel_1.TcpChannel) || this;
        _this.option = option;
        _this.filter = filter;
        return _this;
    }
    SocketServer.prototype.error = function (error) {
        var _a;
        console.log(error.message);
        (_a = this.socket) === null || _a === void 0 ? void 0 : _a.close();
    };
    SocketServer.prototype.listen = function () {
        var _this = this;
        this.socket = new net_1.Server();
        this.socket.on("connection", function (socket) { return _this.connection(socket, new _this.filter()); });
        // this.tcp.on("ready",this.onData)
        // this.tcp.on("timeout",this.onData)
        // this.tcp.on("end",this.onData)
        // this.tcp.on("close",this.onData)
        // this.tcp.on("data",this.onData.bind(this))
        this.socket.on("error", this.error.bind(this));
        // this.tcp.on("lookup",this.onData)
        // this.tcp.on("drain",this.onData)
        this.socket.listen(this.option.port, this.option.host);
    };
    SocketServer.prototype.disListen = function () {
        var _a;
        (_a = this.socket) === null || _a === void 0 ? void 0 : _a.close();
    };
    return SocketServer;
}(appServer_1.BaseAppServer));
exports.SocketServer = SocketServer;
//# sourceMappingURL=socketServer.js.map