"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var socketServer_1 = require("../lib/tcp/server/socketServer");
var filter_1 = require("../lib/filter");
var appServer = new socketServer_1.SocketServer({ port: 8888, host: "0.0.0.0" }, filter_1.StringFilter);
appServer.onServerData(function (message) {
    console.log(message);
});
appServer.listen();
setInterval(function () {
    appServer.sessions.forEach(function (session) {
        session.send(Buffer.from("ccccccccc"));
    });
}, 2000);
//# sourceMappingURL=socketServer.js.map